email.automation.update
curl --request POST \
--url https://platform.trylath.com/email/automation/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"steps": [
{
"type": "wait",
"seconds": 3888000
}
],
"reenter": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
automationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
steps: [{type: 'wait', seconds: 3888000}],
reenter: true
})
};
fetch('https://platform.trylath.com/email/automation/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/automation/update"
payload = {
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"steps": [
{
"type": "wait",
"seconds": 3888000
}
],
"reenter": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/automation/update"
payload := strings.NewReader("{\n \"automationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"steps\": [\n {\n \"type\": \"wait\",\n \"seconds\": 3888000\n }\n ],\n \"reenter\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"automation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"triggerEvent": "<string>",
"triggerFilter": null,
"steps": [
"<unknown>"
],
"reenter": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"readiness": {
"ok": true,
"problems": [
{
"code": "<string>",
"message": "<string>",
"fix": "<string>"
}
]
}
}
}email.automation.update
Changes an automation’s name, trigger, steps or re-entry rule. Runs already in progress keep the steps they started with only until their next step, so change an active automation with care; pause it first if the tree changes shape.
POST
/
email
/
automation
/
update
email.automation.update
curl --request POST \
--url https://platform.trylath.com/email/automation/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"steps": [
{
"type": "wait",
"seconds": 3888000
}
],
"reenter": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
automationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
steps: [{type: 'wait', seconds: 3888000}],
reenter: true
})
};
fetch('https://platform.trylath.com/email/automation/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/email/automation/update"
payload = {
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"steps": [
{
"type": "wait",
"seconds": 3888000
}
],
"reenter": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/email/automation/update"
payload := strings.NewReader("{\n \"automationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"steps\": [\n {\n \"type\": \"wait\",\n \"seconds\": 3888000\n }\n ],\n \"reenter\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"automation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"triggerEvent": "<string>",
"triggerFilter": null,
"steps": [
"<unknown>"
],
"reenter": true,
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"readiness": {
"ok": true,
"problems": [
{
"code": "<string>",
"message": "<string>",
"fix": "<string>"
}
]
}
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required string length:
1 - 120Show child attributes
Show child attributes
A tree of steps: wait {seconds}, send {template, topic, from}, branch {if, then, else}, property.set {key, value}.
Required array length:
1 - 50 elements- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
May a contact be enrolled again after an earlier run? Default false.
Last modified on September 13, 2026
Was this page helpful?

